package com.fos.modules.vipmenu.service;

import com.fos.core.base.CurdService;
import com.fos.modules.vipmenu.dao.VipMenuDao;
import com.fos.modules.vipmenu.entity.VipMenuEntity;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by Tony on 7/19/2016.
 */
@Service
public class VipMenuService extends CurdService<VipMenuDao,VipMenuEntity> {

    //获取已推送菜单单品
    public List<VipMenuEntity> getFoodMenu(){
        return  dao.getFoodMenu();
    }

    //获取已推送菜单类别
    public List<VipMenuEntity> getFoodMenuType(){
        return  dao.getFoodMenuType();
    }

    //获取已推送菜单套餐
    public List<VipMenuEntity> getFoodMenuPackage(){
        return  dao.getFoodMenuPackage();
    }

    //获取套餐中的单品
    public List<VipMenuEntity> getFoodMenuPacks(String[] containArr){
        return  dao.getFoodMenuPacks(containArr);
    }
}
